> # NAME

> VertexShader - 3D API vertex shader

> # USAGE

> VertexShader = compile profile "-po profileOption" main(args);

> # VALID ENUMERANTS

> shader: Null

> # DESCRIPTION

> Compile a vertex shader. See the specification of the OpenGL vertex profile for details. See the specification of the Direct3D vertex shaders for details.

> The standard reset callback sets the VertexShader state to program(false).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> GeometryShader, PixelShader, TessellationControlShader, TessellationEvaluationShader, FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram